# 腾讯云呼叫中心react demo

## 前提条件
1. 您已注册腾讯云账号，并完成企业认证
2. 登录[腾讯云呼叫中心控制台](https://console.cloud.tencent.com/ccc)，创建新应用
3. 添加坐席账号

## 操作步骤

### 步骤2：配置demo文件

1. 找到并打开`.env`文件
2. 设置相关参数

- sdkAppId:请设置为实际的sdkAppId
- userId:坐席账号
- secretId
- secretKey

获取[腾讯云API密钥](https://console.cloud.tencent.com/cam/capi)

### 步骤三：运行项目

> ⚠️注意：  
> 建议 node 环境为 v14.17.3

[点击下载node](https://nodejs.dev/)

#### 1. 安装依赖
```bash
npm install
```

#### 2. 运行开发
```bash
npm run start 
```
使用Chrome或Edge浏览器打开`http://localhost:3000/`