import { useEffect } from "react";
import logo from "./logo.svg";
import "./App.css";

function App() {
  function injectTCCC({ token, sdkAppId, userId, sdkUrl }) {
    const scriptDom = document.createElement("script");
    scriptDom.setAttribute("crossorigin", "anonymous");
    scriptDom.dataset.token = token;
    scriptDom.dataset.sdkAppId = sdkAppId;
    scriptDom.dataset.userid = userId;
    scriptDom.src = sdkUrl;
    document.body.appendChild(scriptDom);
  }
  useEffect(() => {
    fetch("/getToken")
      .then((res) => res.json())
      .then((res) => {
        injectTCCC({
          token: res.token,
          userId: res.userId,
          sdkUrl: res.sdkUrl,
          sdkAppId: res.sdkAppId,
        });
      });
  });
  return (
    <div className="App">
      <header className="App-header">
        <img src={logo} className="App-logo" alt="logo" />
        <p>
          Edit <code>src/App.js</code> and save to reload.
        </p>
        <a
          className="App-link"
          href="https://reactjs.org"
          target="_blank"
          rel="noopener noreferrer"
        >
          Learn React
        </a>
      </header>
    </div>
  );
}

export default App;
